Package org.jfree.layouting.renderer.process

## Class LeftAlignmentProcessor

- java.lang.Object
- - org.jfree.layouting.renderer.process.AbstractAlignmentProcessor
  - - org.jfree.layouting.renderer.process.LeftAlignmentProcessor

- All Implemented Interfaces:
    `TextAlignmentProcessor`

      public class LeftAlignmentProcessor
      extends AbstractAlignmentProcessor

  Performs the left-alignment computations.

  The inf-min-step creates the initial sequence of elements. The alignment processor now iterates over the sequence and produces the layouted line.

  Elements can be split, splitting is a local operation and does not copy the children. Text splitting may produce a totally different text (see: TeX hyphenation system).

  The process is iterative and continues unless all elements have been consumed.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LeftAlignmentProcessor​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addPosition​(long width)` |
    `int` | `getPageSegment​()` |
    `protected long` | `getPosition​()` |
    `protected int` | `handleElement​(int start, int count)` | Handle the next input chunk.
    `protected int` | `handleLayout​(int start, int count, int contentIndex, long usedWidth)` |
    `RenderNode` | `next​()` |
    `void` | `setPageSegment​(int pageSegment)` |
    `protected void` | `setPosition​(long position)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.AbstractAlignmentProcessor

      `computeInlineBlock, getBreakableIndex, getElementDimensions, getElementPositions, getEndOfLine, getPageBreak, getPageGrid, getSequenceElements, getSkipIndex, getStartOfLine, hasNext, initialize, iterate, setBreakableIndex, setSkipIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LeftAlignmentProcessor

          public LeftAlignmentProcessor​()

  - ### Method Detail

    - #### getPageSegment

          public int getPageSegment​()

    - #### setPageSegment

          public void setPageSegment​(int pageSegment)

    - #### getPosition

          protected long getPosition​()

    - #### setPosition

          protected void setPosition​(long position)

    - #### addPosition

          protected void addPosition​(long width)

    - #### next

          public RenderNode next​()

      Specified by:
        `next` in interface `TextAlignmentProcessor`
      Overrides:
        `next` in class `AbstractAlignmentProcessor`

    - #### handleElement

          protected int handleElement​(int start,
                                      int count)

      Handle the next input chunk.
      Overrides:
        `handleElement` in class `AbstractAlignmentProcessor`
      Parameters:
        `start` - the start index
        `count` - the number of elements in the sequence
      Returns:
        true, if processing should be finished, false if more elements are needed for the line.

    - #### handleLayout

          protected int handleLayout​(int start,
                                     int count,
                                     int contentIndex,
                                     long usedWidth)

      Specified by:
        `handleLayout` in class `AbstractAlignmentProcessor`